# rpc.hpp File Reference

`#include <string>`
`#include <vector>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/task.hpp>`
`#include <saga/saga/url.hpp>`
`#include <saga/saga/detail/permissions.hpp>`
`#include <saga/saga/packages/rpc/config.hpp>`
`#include <saga/saga/packages/rpc/parameter.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::rpc
## Classes
class | saga::rpc::rpc
| This class represents a remote function handle, which can be called (repeatedly), and returns the result of the respective remote procedure invocation. More...